## r-cran-tokenizers 0.2.1

=== DESCRIPTION ===
Package: tokenizers
Type: Package
Title: Fast, Consistent Tokenization of Natural Language Text
Version: 0.2.1
Date: 2018-03-29
Description: Convert natural language text into tokens. Includes tokenizers for
    shingled n-grams, skip n-grams, words, word stems, sentences, paragraphs,
    characters, shingled characters, lines, tweets, Penn Treebank, regular
    expressions, as well as functions for counting characters, words, and sentences,
    and a function for splitting longer texts into separate documents, each with
    the same number of words.  The tokenizers have a consistent interface, and
    the package is built on the 'stringi' and 'Rcpp' packages for  fast
    yet correct tokenization in 'UTF-8'. 
License: MIT + file LICENSE
LazyData: yes
Authors@R: c(person("Lincoln", "Mullen", role = c("aut", "cre"),
        email = "lincoln@lincolnmullen.com",
        comment = c(ORCID = "0000-0001-5103-6917")),
        person("Os", "Keyes", role = c("ctb"),
        email = "ironholds@gmail.com",
        comment = c(ORCID = "0000-0001-5196-609X")),
        person("Dmitriy", "Selivanov", role = c("ctb"),
        email = "selivanov.dmitriy@gmail.com"),
        person("Jeffrey", "Arnold", role = c("ctb"),
        email = "jeffrey.arnold@gmail.com",
        comment = c(ORCID = "0000-0001-9953-3904")),
        person("Kenneth", "Benoit", role = c("ctb"),
        email = "kbenoit@lse.ac.uk",
        comment = c(ORCID = "0000-0002-0797-564X")))
URL: https://lincolnmullen.com/software/tokenizers/
BugReports: https://github.com/ropensci/tokenizers/issues
RoxygenNote: 6.0.1
Depends: R (>= 3.1.3)
Imports: stringi (>= 1.0.1), Rcpp (>= 0.12.3), SnowballC (>= 0.5.1)
LinkingTo: Rcpp
Suggests: covr, knitr, rmarkdown, stopwords (>= 0.9.0), testthat
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2018-03-29 17:26:00 UTC; lmullen
Author: Lincoln Mullen [aut, cre] (<https://orcid.org/0000-0001-5103-6917>),
  Os Keyes [ctb] (<https://orcid.org/0000-0001-5196-609X>),
  Dmitriy Selivanov [ctb],
  Jeffrey Arnold [ctb] (<https://orcid.org/0000-0001-9953-3904>),
  Kenneth Benoit [ctb] (<https://orcid.org/0000-0002-0797-564X>)
Maintainer: Lincoln Mullen <lincoln@lincolnmullen.com>
Repository: CRAN
Date/Publication: 2018-03-29 20:07:40 UTC

=== debian/changelog ===
r-cran-tokenizers (0.2.1-3) unstable; urgency=medium

  * Team upload.

 -- Nilesh Patra <nilesh@debian.org>  Mon, 04 Oct 2021 02:17:55 +0530

r-cran-tokenizers (0.2.1-2) unstable; urgency=medium

  * Standards-Version: 4.6.0 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sat, 28 Aug 2021 20:23:20 +0200

r-cran-tokenizers (0.2.1-1) unstable; urgency=medium

  * Initial release (closes: #988829)

 -- Andreas Tille <tille@debian.org>  Thu, 20 May 2021 09:58:50 +0200

=== debian/control ===
Source: r-cran-tokenizers
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-stringi,
               r-cran-rcpp (>= 0.12.3),
               r-cran-snowballc
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tokenizers
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tokenizers.git
Homepage: https://cran.r-project.org/package=tokenizers
Rules-Requires-Root: no

Package: r-cran-tokenizers
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R fast, consistent tokenization of natural language text
 Convert natural language text into tokens. Includes tokenizers for
 shingled n-grams, skip n-grams, words, word stems, sentences,
 paragraphs, characters, shingled characters, lines, tweets, Penn
 Treebank, regular expressions, as well as functions for counting
 characters, words, and sentences, and a function for splitting longer
 texts into separate documents, each with the same number of words.
 The tokenizers have a consistent interface, and the package is built
 on the 'stringi' and 'Rcpp' packages for fast yet correct
 tokenization in 'UTF-8'.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/tokenizers_([-\d.]*)\.tar\.gz

## r-cran-tokenizers 0.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Package: tokenizers
 Type: Package
 Title: Fast, Consistent Tokenization of Natural Language Text
-Version: 0.2.1
-Date: 2018-03-29
+Version: 0.3.0
+Date: 2022-12-19
 Description: Convert natural language text into tokens. Includes tokenizers for
     shingled n-grams, skip n-grams, words, word stems, sentences, paragraphs,
-    characters, shingled characters, lines, tweets, Penn Treebank, regular
+    characters, shingled characters, lines, Penn Treebank, regular
     expressions, as well as functions for counting characters, words, and sentences,
     and a function for splitting longer texts into separate documents, each with
     the same number of words.  The tokenizers have a consistent interface, and
@@ -27,16 +27,18 @@
         person("Kenneth", "Benoit", role = c("ctb"),
         email = "kbenoit@lse.ac.uk",
         comment = c(ORCID = "0000-0002-0797-564X")))
-URL: https://lincolnmullen.com/software/tokenizers/
+URL: https://docs.ropensci.org/tokenizers/,
+        https://github.com/ropensci/tokenizers
 BugReports: https://github.com/ropensci/tokenizers/issues
-RoxygenNote: 6.0.1
+RoxygenNote: 7.2.1
 Depends: R (>= 3.1.3)
 Imports: stringi (>= 1.0.1), Rcpp (>= 0.12.3), SnowballC (>= 0.5.1)
 LinkingTo: Rcpp
+Encoding: UTF-8
 Suggests: covr, knitr, rmarkdown, stopwords (>= 0.9.0), testthat
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2018-03-29 17:26:00 UTC; lmullen
+Packaged: 2022-12-20 21:28:10 UTC; lmullen
 Author: Lincoln Mullen [aut, cre] (<https://orcid.org/0000-0001-5103-6917>),
   Os Keyes [ctb] (<https://orcid.org/0000-0001-5196-609X>),
   Dmitriy Selivanov [ctb],
@@ -44,4 +46,4 @@
   Kenneth Benoit [ctb] (<https://orcid.org/0000-0002-0797-564X>)
 Maintainer: Lincoln Mullen <lincoln@lincolnmullen.com>
 Repository: CRAN
-Date/Publication: 2018-03-29 20:07:40 UTC
+Date/Publication: 2022-12-22 08:50:02 UTC

=== debian/changelog ===
r-cran-tokenizers (0.3.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.3.0
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 30 Dec 2022 18:07:46 +0530

r-cran-tokenizers (0.2.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Lintian-override for bug #1017966 issue

 -- Andreas Tille <tille@debian.org>  Mon, 26 Sep 2022 15:30:08 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                dh-r,
                r-base-dev,
                r-cran-stringi,
-               r-cran-rcpp (>= 0.12.3),
+               r-cran-rcpp,
                r-cran-snowballc
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-tokenizers
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-tokenizers.git
 Homepage: https://cran.r-project.org/package=tokenizers
